package javax.jws;

import java.lang.annotation.ElementType;
import java.lang.annotation.Target;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Retention;

@Retention(RetentionPolicy.RUNTIME)
@Target({ ElementType.METHOD })
public @interface WebMethod {
    public abstract String operationName() default "";
    
    public abstract String action() default "";
    
    public abstract boolean exclude() default false;
}
